% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGenerics.r, R/cnet.r
\name{cnetplot}
\alias{cnetplot}
\alias{cnetplot.list}
\title{category-item network plot}
\usage{
cnetplot(
  x,
  layout = igraph::layout_nicely,
  showCategory = 5,
  color_category = "#E5C494",
  size_category = 1,
  color_item = "#B3B3B3",
  size_item = 1,
  color_edge = "grey",
  size_edge = 0.5,
  node_label = "all",
  foldChange = NULL,
  hilight = "none",
  hilight_alpha = 0.3,
  ...
)

\method{cnetplot}{list}(
  x,
  layout = igraph::layout_nicely,
  showCategory = 5,
  color_category = "#E5C494",
  size_category = 1,
  color_item = "#B3B3B3",
  size_item = 1,
  color_edge = "grey",
  size_edge = 0.5,
  node_label = "all",
  foldChange = NULL,
  hilight = "none",
  hilight_alpha = 0.3,
  ...
)
}
\arguments{
\item{x}{input object}

\item{layout}{network layout}

\item{showCategory}{selected category to be displayed}

\item{color_category}{color of category node}

\item{size_category}{relative size of the category}

\item{color_item}{color of item node}

\item{size_item}{relative size of the item (e.g., genes)}

\item{color_edge}{color of edge, e.g., "black". If \code{color = "category"}, then edges will be colored based on the category information.}

\item{size_edge}{relative size of edge}

\item{node_label}{one of 'all', 'none', 'category', 'item', 'exclusive' or 'share'}

\item{foldChange}{numeric values to color the item (e.g, foldChange of gene expression values)}

\item{hilight}{selected category to be highlighted}

\item{hilight_alpha}{transparent value for not selected to be highlight}

\item{...}{additional parameters}
}
\description{
category-item network plot
}
